Skip to main content

Class FilterByRadiusRequest.Options

java.lang.Object
com.gpudb.protocol.FilterByRadiusRequest.Options
Enclosing class:

public static final class FilterByRadiusRequest.Options extends Object
A set of string constants for the FilterByRadiusRequest parameter options.

Optional parameters.

  • Field Details

    • CREATE_TEMP_TABLE

      public static final String CREATE_TEMP_TABLE
      If TRUE, a unique temporary table name will be generated in the sys_temp schema and used in place of viewName. This is always allowed even if the caller does not have permission to create tables. The generated name is returned in QUALIFIED_VIEW_NAME. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
    • FALSE

      public static final String FALSE
    • COLLECTION_NAME

      public static final String COLLECTION_NAME
      [DEPRECATED—please specify the containing schema for the view as part of viewName and use GPUdb.createSchema to create the schema if non-existent] Name of a schema which is to contain the newly created view. If the schema is non-existent, it will be automatically created.